<template>
  <div
    v-show="isActive"
    :data-qa="dataQa"
  >
    <slot />
  </div>
</template>

<script>
export default {
  name: 'ObTabsPane',
  props: {
    title: {
      type: String,
      default: ''
    },
    isSelected: {
      type: Boolean,
      default: false
    },
    icon: {
      type: String,
      default: null
    },
    tooltip: {
      type: [Object, String],
      default: null
    },
    isHidden: Boolean,
    isDisabled: {
      type: Boolean,
      default: false
    },
    isSecondary: {
      type: Boolean,
      default: false
    },
    isAlignRight: {
      type: Boolean,
      default: false
    },
    tabButtonHtml: {
      type: String,
      default: null
    },
    dataQa: {
      type: String
    },
    notification: {
      type: [Boolean, String],
      default: null
    }
  },
  data () {
    return {
      isActive: this.isSelected
    }
  },
  computed: {
    tabs () {
      const getTabs = component => {
        const isObTabs = (
          component.$options &&
          component.$options.name &&
          ['ObTabs', 'ob-tabs'].includes(component.$options.name)
        )

        if (isObTabs) return component
        if (component.$parent) return getTabs(component.$parent)

        return null
      }

      return getTabs(this.$parent)
    }
  },
  watch: {
    isSelected (val) {
      this.isActive = val
    },
    'tabs.selected' (val) {
      this.isActive = val ? val.title === this.title : this.isActive
    }
  }
}
</script>
